Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tools
Class ToolProvider

    java.lang.Object
      javax.tools.ToolProvider

    public class ToolProvider

extends Object

Provides methods for locating tool providers, for example, providers of compilers. This class complements the functionality of `ServiceLoader`.

Since:
  1.6

Method Summary
`static JavaCompiler` | `getSystemJavaCompiler()` Gets the Java™ programming language compiler provided with this platform.
`static ClassLoader` | `getSystemToolClassLoader()` Returns the class loader for tools provided with this platform.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSystemJavaCompiler

    public static JavaCompiler getSystemJavaCompiler()

  Gets the Java™ programming language compiler provided with this platform.

  Returns:
    the compiler provided with this platform or `null` if no compiler is provided

### getSystemToolClassLoader

    public static ClassLoader getSystemToolClassLoader()

  Returns the class loader for tools provided with this platform. This does not include user-installed tools. Use the service provider mechanism for locating user installed tools.

  Returns:
    the class loader for tools provided with this platform or `null` if no tools are provided

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.